Subject: [PATCH 0 of 3] KVM for PowerPC 440

From: Hollis Blanchard <[email-masked]>
Date: Mon, 07 Apr 2008 15:53:31 -0500

Implement initial support for KVM for PowerPC 440. There are just two small
prerequisite patches, and then the bulk of the code can't be split easily.

Please review; I would like to submit these for 2.6.26. There is plenty of work
to do, both functional and optimization, but this code is sufficient to run
unmodified 440 Linux guests on a 440 Linux host. What's your favorite bike shed
color?

(Note for current users: since KVM_EXIT_DCR changed, you must rebuild your
userspace to match this kernel.)